Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/bin/get-package-updates
diff options
context:
space:
mode:
Diffstat (limited to 'bin/get-package-updates')
-rwxr-xr-xbin/get-package-updates6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/get-package-updates b/bin/get-package-updates
index 28e3536..f9ef9d6 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -335,10 +335,9 @@ echo 'Check modified packages from the last update, and put them to the build li
if [ "${mode}" = '<' ]; then
if check_if_package_should_be_deleted "${pkgbase}" "${repository}"; then
delete_package 'any' "${pkgbase}"
- continue
- else
- mode='>'
+ # TODO: remove moved packages, too
fi
+ continue
fi
if git -C "${repo_paths__archlinux32}" archive "${new_repo_revisions__archlinux32}" -- "${repository}/${pkgbase}" >/dev/null 2>&1; then
mod_git_revision="${new_repo_revisions__archlinux32}"
@@ -347,6 +346,7 @@ echo 'Check modified packages from the last update, and put them to the build li
fi
printf '%s %s %s %s\n' "${pkgbase}" "${repository}" "${git_revision}" "${mod_git_revision}"
done
+ exit 1
git -C "${repo_paths__archlinux32}" diff "${old_repo_revisions__archlinux32}^^" "${new_repo_revisions__archlinux32}" --name-status \
| tr '\t/' ' ' \
| cut -d' ' -f1,2,3 \